Bug 30075 - hard disk install fails
hard disk install fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-28 15:22 EST by don radick
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-19 23:05:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description don radick 2001-02-28 15:22:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.14-5.0 i586)


downloaded base and RPMS to /dev/hdc4/RedHat/
Boot with installer disk,  choose "hard disk install", fails with:
"cannot find ISO images"

repeatable - tried text mode and expert mode also. no change


Reproducible: Always
Steps to Reproduce:
1.setup "hard drive install" files 
2. boot with "fisher" boot.img disk


I don't think this is an "anaconda" bug, this is a bug in the installer
Why isn't there a component choice for "installer" ?

3. fails
	

Actual Results:  install fails
Comment 1 Michael Fulbright 2001-02-28 18:14:58 EST
Please try the more recent wolverine beta.
Comment 2 don radick 2001-03-01 09:52:29 EST
upgraded install to Wolverine beta. no change.
Usual screen appears: "choose CDROM or Hard Disk install"
I choose "Hard Disk", next screen "Select Partition", says 
"Choose partition and directory that hold the ISO images"  
this is incorrect., the text should read "Choose partition and directory that
hold the RPMS and base"

actual directory is /dev/hdc4/RedHat/base
                                                    / RPMS

Choosing "/dev/hdc4" (directory field empty) gives: 
"Device /dev/hdc4 does not appear to contain Red Hat CDROM images"

booting with boot.img  dated Feb 17.


Comment 3 Michael Fulbright 2001-03-01 13:58:31 EST
What is on the partition /dev/hdc4?
Comment 4 don radick 2001-03-01 14:34:38 EST
partition /dev/hdc4  is mounted on /mnt/hdc4

/mnt/hdc4/RedHat
               /RedHat/base
               /RedHat/RPMS
               /RedHat/images
               /RedHat/iso
              /Lost+Found


In english, 2 top level directories.
Under /RedHat, I have /base. /RPMS , /images , /iso
Partition /dev/hdc4 is about 30Gb on a Maxtor 40Gb IDE drive (formatted ext2)
Lots of free space :-)
Running stock RH 6.2



Comment 5 Michael Fulbright 2001-03-02 11:17:35 EST
What is in the iso/ directory? If it contains the two ISOs you need to point the
hard drive install to that directory.
Comment 6 don radick 2001-03-02 12:01:10 EST
iso directory does contain the 2 ISO images, but installation fails when
I point the install routine to that subdirectory.

IE:  partition field:  /dev/hdc4
directory field :  "RedHat" or "/RedHat/iso" or "iso" or "/iso"   all fail.

error is:  Device /dev/hdc4 does not appear to contain RedHat CDROM images

It appears that the directory field is not parsed at all. Whatever I put there
is
ignored.

I first attempted hard disk install without the ISO images, or that subdirectoy.
It failed as first described. I only tried using the /RedHat/iso directory when
the error
message complained about iso images.

Comment 7 amworley 2001-03-08 15:08:06 EST
I am also encountering this problem when I attempt to install the wolverine 
beta.  I downloaded the entire wolverine "RedHat/" directory to the /tmp dir on 
a ext2 partition.  When I ran the install program, I selected this partition 
and specified the /tmp subdirectory; it was not recognized.  I tried moving the 
RedHat directory to the root directory on that partition, and also copied it to 
a different ext2 partition on the other hard drive installed in the computer in 
question.  Still no go.  I've done a hard drive install on other systems before 
without any problems.

Here's a summary of the hardware:

AOpen AK33 motherboard:  http://english.aopen.com.tw/products/mb/ak33.htm
Maxtor 17GB hard drive
Western Digital 3.5GB hard drive
Athlon Thunderbird 800Mhz
256MB PC133 RAM
Matrox G400 video card
8139too network card (made by D-Link)
Generic PS/2 keyboard, Logitech MouseMan USB
Iomega ZipCD USB cd writer (no internal CD drive)
Comment 8 Michael Fulbright 2001-03-09 11:40:11 EST
If you check the release notes, the hard drive install requires you to put the
two ISO images for the release in a directory, and when you run the installer
just do a hard drive install from the directory containing the ISO images.
Comment 9 don radick 2001-03-12 19:54:41 EST
Hard Disk install SHo-nuff is happier with ISO images.
I put the Wolverine ISO images of a partition, and install
at least found them and ran.  I got several Signal 11 crashes
at several attempts to install.  MD5SUm of ISO files is correct.

System:

Abit Kt7A raid
AMD TBird 850 mhz
WD 1Gb boot drive
Maxtor 40Gb install drive
Matrox Millenium (junk) video
128Mb mixed brand SDRAM
Comment 10 don radick 2001-03-13 05:52:31 EST
I've completed hard disk installation several times without problem.
On reboot, the system gets to "freeing unused kernel memory", and
then I get a "Kernel too old" error and stop.

Comment 11 amworley 2001-03-19 23:05:11 EST
Worked much better with the ISOs; I promise to RTFM next time.
Comment 12 Michael Fulbright 2001-03-20 12:32:47 EST
Glad its working now!

Note You need to log in before you can comment on or make changes to this bug.